1

I have been trying to upgrade a site from Drupal 8.7.7 to 8.8, and following the release documentation, I upgraded the core and pathauto module at the same time. So my composer.json has the core set to ^8.8, and pathauto to 1.8.

After running drush updb I get the following error in the console:

 [error]  ParseError: syntax error, unexpected '::conf' in module_load_include() (line 73 of /var/www/html/docroot/core/modules/shortcut/shortcut.install) #0 /var/www/html/docroot/core/includes/module.inc(99): module_load_include('install', 'shortcut')
#1 /var/www/html/docroot/core/includes/install.inc(88): module_load_install('shortcut')
#2 /var/www/html/docroot/vendor/drush/drush/src/Commands/core/UpdateDBCommands.php(41): drupal_load_updates()
#3 [internal function]: Drush\Commands\core\UpdateDBCommands->updatedb(Array)
#4 /var/www/html/docroot/vendor/consolidation/annotated-command/src/CommandProcessor.php(257): call_user_func_array(Array, Array)

When I visit the front-end of the site I see the following:

Symfony\Component\DependencyInjection\Exception\InvalidArgumentException: Unable to replace alias "path.alias_whitelist" with actual definition "path_alias.whitelist". in Symfony\Component\DependencyInjection\Compiler\ReplaceAliasByActualDefinitionPass->process() (line 57 of /var/www/html/docroot/vendor/symfony/dependency-injection/Compiler/ReplaceAliasByActualDefinitionPass.php).

Any idea how can successfully upgrade from Drupal 8.7.7 to 8.8?

Note: I still have a backup of the site and db, so an explanation on the upgrade would also work.

0
3

Pathauto 8.x-1.6 is the only version working with both Drupal 8.7 and 8.8. So first update Pathauto to this version, then update core and then update Pathauto to the current version. Run drush updb in each step. See the change record http://drupal.org/node/3089457.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.